package com.ruoyi.branch.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 党员关系转移记录对象 t_branch_mem_transfer
 * 
 * @author ruoyi
 * @date 2023-07-13
 */
public class TBranchMemTransfer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id")
    private Long transferId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 原支部id */
    @Excel(name = "原支部id")
    private Long oldDeptId;

    /** 转入支部id */
    @Excel(name = "转入支部id")
    private Long newDeptId;

    /** 调转日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "调转日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date transferTime;

    /** 党费交至日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "党费交至日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date duesPaidTo;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 用户昵称 */
    @Excel(name = "用户名称")
    private String nickName;

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public void setTransferId(Long transferId)
    {
        this.transferId = transferId;
    }

    public Long getTransferId() 
    {
        return transferId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setOldDeptId(Long oldDeptId) 
    {
        this.oldDeptId = oldDeptId;
    }

    public Long getOldDeptId() 
    {
        return oldDeptId;
    }

    public void setNewDeptId(Long newDeptId) 
    {
        this.newDeptId = newDeptId;
    }

    public Long getNewDeptId() 
    {
        return newDeptId;
    }

    public void setTransferTime(Date transferTime) 
    {
        this.transferTime = transferTime;
    }

    public Date getTransferTime() 
    {
        return transferTime;
    }

    public void setDuesPaidTo(Date duesPaidTo) 
    {
        this.duesPaidTo = duesPaidTo;
    }

    public Date getDuesPaidTo() 
    {
        return duesPaidTo;
    }

    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("transferId", getTransferId())
            .append("userId", getUserId())
            .append("oldDeptId", getOldDeptId())
            .append("newDeptId", getNewDeptId())
            .append("transferTime", getTransferTime())
            .append("duesPaidTo", getDuesPaidTo())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .toString();
    }
}
